Subject: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 May 2015 19:32:10 +0300

> From: Oleh Krehel <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 22 May 2015 18:15:28 +0200
> 
> >> So far I've tracked the bug to xftfont_open, where instead of the
> >> usual
> >> 
> >>     font ascent: 14, descent: 5
> >> 
> >> I get for the 120755 char:
> >> 
> >>     font ascent: 54, descent: 46

According to what I see here 120755 (#x1d7b3) is the same kappa symbol
as #x1d779, just in italic form.  Not sure why Emacs on your system
displays the former when you request the latter, but at least it's the
same letter.  Perhaps the font driver substitutes one for the other?

> > How is this strange character displayed, eventually?  Is it displayed
> > as a character or as a box with its hex code?
> 
> It's displayed just the way gedit displays it, only with a huge (3 line
> height) ascent and a huge (3 line height) descent. So the line with the
> char is effectively 7 times taller than a regular line.
> 
> Also, I've tracked the font family of the char to be "Latin Modern
> Mathfont" in xftfont_open.

Math fonts are notorious for requesting huge ascent and descent
values.  I always disable them using fontsets.